import request from '@/utils/request'

// POST
// /pro-basic-project-plan/add
// 工程计划电量-新增or修改
// GET
// /pro-basic-project-plan/List
// 工程计划电量-列表
// DELETE
// /pro-basic-project-plan/remove-ProjectPlan/{ids}
// 工程计划电量-删除
const projectplan = (data) => {
  return request({
    url: `pro-basic-project-plan/List?windpowerstationId=${data.windpowerstationId}&projectId=${data.projectId}&pageNum=${data.pagenum}&pageSize=${data.pagesize}`,
    method: 'get',
  })
}
const addProjectplan = (pairs) => {
  return request({
    url: `pro-basic-project-plan/add`,
    method: 'post',
    data: pairs,
  })
}
const removeProjectplan = (data) => {
  return request({
    url: `/pro-basic-project-plan/remove-ProjectPlan/${data.id}`,
    method: 'delete',
  })
}
const wtls = (data) => {
  return request({
    url: `/back/wtls`,
    method: 'get',
  })
}
// DELETE
// /pro-basic-target-plan/{ids}
// 指标计划表-删除
// POST
// /pro-basic-target-plan/add
// 指标计划表-新增or修改
// GET
// /pro-basic-target-plan/list
// 指标计划表-列表
const indicators = (data) => {
  return request({
    url: `pro-basic-target-plan/list?companyCode=${data.companyCode}&pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
    method: 'get',
  })
}
const addIndicators = (pairs) => {
  return request({
    url: `pro-basic-target-plan/add`,
    method: 'post',
    data: pairs,
  })
}
const removeIndicators = (data) => {
  return request({
    url: `/pro-basic-target-plan/${data.id}`,
    method: 'delete',
  })
}
const newtreeTreels = (data) => {
  return request({
    url: `/sttree/energytreels?tag=${data.tag}`,
    method: 'get',
  })
}
// 区域组织结构树-集团层级树
const regiontreels = (data) => {
  return request({
    url: `/sttree/regiontreels?tag=${data.tag}`,
    method: 'get',
  })
}
const treels = (data) => {
  return request({
    url: `/newtree/treels`,
    method: 'get',
  })
}
export default {
  regiontreels,
  projectplan,
  addProjectplan,
  removeProjectplan,
  wtls,
  treels,
  indicators,
  addIndicators,
  removeIndicators,
  newtreeTreels,
}
